← Renditjet

Scotland

Women's Premiership

#EkipiPWDLPDBPPtsForma
1Hillhead Jordanhill RFC5500+173525WWWWW
2Watsonian FC5401+165521WLWWW
3Stirling County RFC4400+254420WWWW
4Biggar RFC5302+26416WWWLL
5Garioch RFC5104-24237LLLWL
6Heriot's Rugby Women4103-2656LWLL
7Corstorphine RFC5104-13526LLLLW
8Cartha Queens Park RFC5005-21533LLLLL

Burimi: Scottish Rugby · kontrolluar 14 tet, 04:52 m.d. · Forma: pesë rezultatet e fundit që kemi, më i riu djathtas.

Ndeshjet dhe rezultatet →

Çdo tabelë është renditja e publikuar nga vetë liga, me pikët bonus, zbritjet dhe kriteret e barazimit. BP shfaqet kur liga e publikon; përndryshe është tashmë te Pts.